WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: perl5.tcz - update to 5.26.0 would be useful due to bug in 5.24.0  (Read 179 times)

Offline parky_dw

  • WikiUser
  • *
  • Posts: 13
perl5.tcz - update to 5.26.0 would be useful due to bug in 5.24.0
« on: September 18, 2017, 08:55:21 AM »
The current repo version of perl5.tcz (5.24.0) includes a bug which has been fixed in the current release (5.26.0).  The bug is in the module IO::Uncompresss::Unzip and is apparently to do with the handling of zero length files.  My fix was to install the latest version of that particular module, but ideally an update of the full tcz file would be nice.

FYI: An old script of mine uses the LWP module.  My attempt to install it (and some other related modules) always failed.  A characteristic to spot is the error message:
Label not found for "last SKIP" at ..../Test/More.pm line 1314. in the tests.
It took a while for Google to find a mention of the unzip bug after which the fix (install latest version) was simple.

Offline andyj

  • Sr. Member
  • ****
  • Posts: 485
Re: perl5.tcz - update to 5.26.0 would be useful due to bug in 5.24.0
« Reply #1 on: September 18, 2017, 09:45:52 AM »
Some packages won't compile against 5.24 because of some bug. I don't know if it's the same bug or not but it's not the same error message. I have to use 5.22 from the TC 7.x repo.